Subject: bug#76505: 31.0.50; igc: M-x project-compile is slow

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Feb 2025 21:43:05 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], Jonas Bernoulli
>  <[email-masked]>
> Date: Sun, 23 Feb 2025 19:18:15 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Hmm. Yes, I do. Because `magit-auto-revert-mode' (enabled by default).
> >> I explicitly disable global-auto-revert-mode in my config.
> >> 
> >> > ... Does
> >> > disabling that change anything?
> >> 
> >> It completely removes the hangs.
> >
> > Problem solved.
> 
> Well. Not really. The question why igc branch is _so much slower_
> remains. I never experienced such problems on master.

Good point.  So please try disabling file notification, but keep the
auto-revert thing, and let's see if the hangs return or not.  That
will allow us to know whether the notifications or the auto-reverting
triggers whatever causes the hangs.